<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Table and Forms</title>
</head>
<body>

	<header>
		<h1>HTML Tables and Forms </h1>
	</header>

	<main>
		<section>
			<h2>HTML Entities</h2>
			<p><em>Reserved Characters in HTML (eg. &lt; or &gt; characters that can mix up with our HTML code)</em></p>
		</section>

		<!-- HTML Table -->
		<table border="1">
			<!-- used to group table header content -->
			<thead>
				<!-- Table Row -->
				<tr>
					<!-- Table Header -->
					<th colspan="2">Entity</th>
					<th>Description</th>
				</tr>
			</thead>

			<!-- Used to group table body content -->
			<tbody>
				<!-- table elements -->
				<tr>
					<td>&lt;</td>
					<td>lt</td>
					<td>less than</td>
				</tr>

				<tr>
					<td>&gt;</td>
					<td>gt</td>
					<td>greater than</td>
				</tr>

				<tr>
					<td>&#8369;</td>
					<td>#8369</td>
					<td>Peso Sign</td>
				</tr>

				<tr>
					<td>&amp;</td>
					<td>amp</td>
					<td>Ampersand</td>
				</tr>

				<tr>
					<td>&quot;</td>
					<td>quote</td>
					<td>Double Quotation Mark</td>
				</tr>

				<tr>
					<td>&apos;</td>
					<td>apos</td>
					<td>Single quotation mark (apostrophe)</td>
				</tr>

				<tr>
					<td>&ntilde;</td>
					<td>ntilde</td>
					<td>Lower Tilde</td>
				</tr>

				<tr>
					<td>&Ntilde;</td>
					<td>ntilde</td>
					<td>Upper Tilde</td>
				</tr>
			</tbody>

			<!-- Used to group table footer content -->
			<tfoot>
				<tr>
					<th colspan="3">List of HTML Entities</th>
				</tr>
			</tfoot>

		</table>

		<section>
			<h2>HTML Forms</h2>
			<p><em>Input elements that make up form</em></p>

			<!-- Creates an HTML Form to capture user input-->
			<form action="https://google.com">
				<!-- Creates a label and allows for input field selection when clicked -->
				<label for="full_name">Full Name</label>
				<br>
				<!-- Creates an input field to capture user input -->
				<input type="text" name="full_name" id="full_name" required>
				<br><br>

				<label for="birth_date">Birthdate</label>
				<br>
				<input type="date" name="birth_date" id="birth_date" required>
				<br><br>

				<label for="age">Age</label>
				<br>
				<input type="number" name="age" id="age" required>
				<br><br>

				<label for="gender">Gender</label>
				<!-- Creates a drop-down selection -->
				<br>
				<select name="gender" id="gender">
				<option value="male">Male</option>
				<option value="female">Female</option>
				</select>

				<br><br>
				<label for="notes">Notes:</label>
				<br>
				<!-- creates a larger input area for texts -->
				<textarea name="notes" id="notes" rows="8" cols="50"></textarea>
				<br><br>

				<!-- Radio buttons -->
				<label>New User:</label>
				<br>
				<input type="radio" name="new_user" id="user_type1" value="yes">
				<label for="user_type1">Yes</label>
				<br>
				<input type="radio" name="new_user" id="user_type2" value="no">
				<label for="user_type2">No</label>
				<br><br>

				<!-- Checkboxes -->
				<label>Role:</label>
				<br>

				<!-- Creates checkboxes for multiple choices -->
				<input type="checkbox" name="role1" id="role1" value="developer">
				<label for="role1">Developer</label>
				<br>
				<input type="checkbox" name="role2" id="role2" value="student">
				<label for="role2">Student</label>
				<br>
				<input type="checkbox" name="role3" id="role3" value="manager">
				<label for="role3">Manager</label>
				<br><br>

				<!-- Creates a button that will submit the form data -->
				<button type="submit">Submit</button>
				<br>
				<!-- Creates a button to reset the form -->
				<button type="reset">Reset</button>

			</form>
		</section>

	</main>

</body>
</html>